/*
 * @Description: zm样式
 * @Autor: star
 * @Date: 2020-08-20 15:01:20
 * @LastEditTime: 2021-07-19 14:25:51
 */

:root{
  /**
   * 160 = (导航栏56 + 面包屑56 + 面包屑padding：16 + 主内容区padding：32)
   */
  --main-box-max-width: calc(100vh - 160px);
}


/**
 * @Description: 输入框样式
 * @Autor: star
 */
/**搜索框样式**/
.zm-search-input{
  width: 331px;
  height: 36px;
  background-color: #ffffff;
  position: relative;
  display: flex;
}
.zm-search-input>input{
  flex:1;
  padding: 0 10px;
  border: 1px solid rgba(230, 230, 230, 1);
  border-radius: 2px;
  height: 100%;
}
.zm-search-input>input:focus{
  outline: none;
}
.zm-search-input>.search_btn{
  height: 100%;
  display: flex;
  align-items: center;
  width: 60px;
  justify-content: center;
  border: 1px solid rgba(230, 230, 230, 1);
  border-left: 0;
  position: relative;
  cursor: pointer;
}

/**搜索框样式结束**/

/**
 * @Description: 按钮样式
 * @Autor: star
 */
 /*镂空按钮*/
.btn.zm-btn-pure{
  color: #7F8FEF;
  border: 1px solid rgba(127, 143, 239, 1);
  background-color: #fff;
}
/*文字按钮*/
.btn.zm-btn-text{
  color: #7F8FEF;
  background-color: transparent;
}
.btn.add-icon::before{
  content: '+';
  font-size: 14px;
  margin-right: 3px;

}
/* 按钮样式结束*/
/**
 * @Description: 警告框样式
 * @Autor: star
 */
.zm-warn-panel{
  padding: 1em 1.2em;
  font-size: 14px;
  color: rgba(0,0,0,.65);
  line-height: 1.5;
  background: #FFFBE6;
  border: 1px solid #FFE58F;
  border-radius: 2px;
  width: 100%;
}
.zm-warn-panel>*{
  margin-left: 32px;
}
.zm-warn-panel::before{
  content: '';
  float: left;
  width: 22px;
  height: 22px;
  background-size: 22px;
  margin-right: 10px;
  background-image: url("../img/warn-tip2.png");
}
/*警告框title*/
.zm-warn-panel_title{
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 5px;
}

/**
 * @Description: 文字样式
 * @Autor: star
 */
.zm-text1{
  color:#333333;
  font-size: 14px;
  font-weight: normal;
}
.zm-text-danger{
  color:red;
  font-size: 14px;
  font-weight: normal;
}
.zm-text-primary{
  color:#7F8FEF;
  font-size: 14px;
  font-weight: normal;
}
.zm-text-info{
  color:#9A9A9A;
  font-size: 14px;
  font-weight: normal;
}
.zm-text-primary{
  color:rgba(127, 143, 239, 1);
  font-size: 14px;
  font-weight: normal;
}
.zm-text-center{
  text-align: center;
}
.zm-text-right{
  text-align: right;
}
.zm-text-left{
  text-align: left;
}
.zm-black-85-text{
  color:rgba(0, 0, 0, 0.85)
}
/* 文字样式结束*/
/**
 * @Description: 分割线样式
 * @Autor: star
 */
.zm-division{
  height:1px;
  background:#E6E6E6;
  width: 100%;
  margin: 30px 0;
}
/* 分割线样式结束*/
/**
 * @Description: openid输入模板css
 * @Autor: star
 */
.zm-openid-input .upload_type_tabs{
  margin-bottom: 10px;
}
.zm-openid-input .upload_type_tab_item {
  padding: 10px;
  border: 1px solid #e6e6e6;
  cursor: pointer;
}
.zm-openid-input .upload_type_tab_item.sel{
  border-color: rgba(127, 143, 239, 1);
  color: rgba(127, 143, 239, 1);
}
.zm-openid-input textarea{
  width: 400px;
  max-height: 400px;
}
/*  openid输入模板样式结束*/


/*隐藏panel开关*/
.zm-toggle{
  position: relative;
  transition: width .5s;
}
.zm-toggle-panel{
  position: relative;
  overflow-x: hidden;
}
.zm-toggle-btn{
  position: absolute;
  width: 9px;
  height: 40px;
  cursor: pointer;
  z-index: 99;
  cursor: pointer;
  display: none;
  top:40%;
  left: 0;
  background-image: url("../img/mainNav/show-panel-btn.png");
}
.zm-toggle-btn.show-panel{
  display: block;
  left: 0;
  background-image: url("../img/mainNav/show-panel-btn2.png");
}
.zm-toggle-btn.hide-panel{
  display: block;

}
/*背景色*/
.zm-bg-white{
  background-color: #fff;
}
/*label样式*/
label.zm-label{
  font-weight: normal;
  display: inline-flex;
  align-items: center;
}
label.zm-label input{
  margin: 0 5px 0 0;
}
.zm-vip1,.zm-vip2,.zm-vip3{
  display: inline-flex;
  align-items: center;
  position: relative;
}
/* vip表示样式*/
.zm-vip0::after{
  background-image: url("../img/vip0.png");
  margin-left: 3px;
  content: '';
  display: inline-block;
  width: 14px;
  height: 12px;
  vertical-align: text-top;
}
.zm-vip1::after{
  background-image: url("../img/vip1.png");
  margin-left: 3px;
  content: '';
  display: inline-block;
  width: 34px;
  height: 14px;
}
.zm-vip2::after{
  background-image: url("../img/vip2.png");
  margin-left: 3px;
  content: '';
  display: inline-block;
  width: 34px;
  height: 14px;
}
.zm-vip3::after{
  background-image: url("../img/vip3.png");
  margin-left: 3px;
  content: '';
  display: inline-block;
  width: 34px;
  height: 14px;
}
/*zm的hot标识*/
.zm-hot{
  position: relative;
}
.zm-hot::after{
  background-image: url("../img/Hots.png");
  position: absolute;
  margin-left: 2px;
  width: 18px;
  height: 14px;
  content: "";
}
/*边框线*/
.zm-border{
  border: 1px solid#f0f5fa;
}
/*分割线*/
.zm-line {
  width: 100%;
  height: 1px;
  background: #E8E8E8;
  margin: 20px 0;
}
/*内容页样式*/
.zm-content-page{
  background-color: #fff;
  padding: var(--content-padding);
}
/*tab导航栏*/
.zm-tabs{
  width: 100%;
  background: #fff;
  overflow: hidden;
  margin-bottom: 10px;
  border-bottom: 1px solid #E6E6E6;
}
.zm-tabs::after{
  clear: both;
}
.zm-tabs_item{
  float: left;
  display: block;
  padding-bottom: 12px;
  color: #333333;
  margin-left: 40px;
  position: relative;
}
.zm-tabs_item:first-child{
  margin-left: 0;;
}
.zm-tabs_item.active{
  background: #fff;
  color: #7f8fef;
  border-bottom: 2px solid #7F8FEF;
}
/*表单样式*/
@media (min-width: 768px){
  .zm-form.form-horizontal .control-label{
      padding-top: 7px;
      text-align: left;
      font-weight: normal;
  }
  .zm-form.form-horizontal .form-group{
    overflow: hidden;
  }
}
.zm-form label{
  font-weight: normal;
}
/*多选组label样式*/
.zm-checkbox-label,.zm-radio-label{
  margin-left: 25px;
}
.zm-checkbox-label:first-child,.zm-radio-label:first-child{
  margin-left: 0;
}
.zm-checkbox-label .zm-checkbox-label_text,.zm-radio-label .zm-radio-label_text{
  position: relative;
  top: -2px;
}
/*溢出隐藏*/
.zm-text-overflow{
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.zm-required::after{
  content: '*';
  color:red;
  font-size: 20px;
  vertical-align: top;
}
.zm-required-before::before {
  content: '*';
  color: #FF4D4F;
  margin-right: 2px;
}
.zm-new{
  position: relative;

}
.zm-new::after{
  content:'';
  position: absolute;
  top: 3px;
  right: -22px;
  background-image: url("../img/mainNav/new.png");
  width: 28px;
  height: 16px;
}
.zm-border-none{
  border: none;
}
.zm-title{
  font-size: 18px;
  color:#333333;
  padding-left: 10px;
  position: relative;
}
.zm-title::before{
  width: 4px;
  height: 19px;
  background: rgba(127,143,239,1);
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  margin: auto;
}
pre.zm-pre{/*zm-pre标签样式*/
  overflow: auto;
  background: #F8F9FB;
}
.zm-tip{/*zm-tip*/
  padding: 10px 0;
  color: #999;
  font-size: 13px
}
.zm-title-tip{/*main_title后的tip*/
  margin-left: 20px;
  font-size: 12px;
}
/**
 * @Description: 无边框表格
 * @Autor: star
 */
 .table.zm-table{
   border:none
 }
 .table.zm-table td,.table.zm-table th{
  border: none;
  text-align: left;
  border-bottom: 1px solid #F5F7FA;
 }
 .table.zm-table th{
  background: #F5F7FA;
  font-size: 12px;
  color: #909399;
  font-weight: normal;
  line-height: 2!important;
 }
 .table.zm-table th:first-child,.table.zm-table td:first-child{
   padding-left: 37px;
 }
 .table.zm-table th:last-child,.table.zm-table td:last-child{
  padding-right: 37px;
}
 .table.zm-table td{
   background-color: #fff;
   line-height: 2!important;
   color: #000000;
   font-size: 12px;
 }
 .table.zm-table td.text-right,.table.zm-table th.text-right{
   text-align: right;
 }
 .zm-flex1{
   display: flex;
   align-items: center;
 }
 .zm-flex-shrink{
  flex-shrink: 0;
 }
 .zm-flex-column{
   display: flex;
   flex-direction: column;
   overflow: hidden;
 }
 .zm-flex-item{
   flex:1;
 }
 /**
  * @Description: layer-confrim弹窗框样式
  * @Autor: star
  */
 .zm-confrim1 .layui-layer-btn .layui-layer-btn0{
    background: #fff;
    color: rgba(0,0,0,.65);
    border: 1px solid #d9d9d9;
 }
 .zm-confrim1 .layui-layer-btn .layui-layer-btn1{
  background: #7f8fef;
  color:#fff
}
/*添加回复栏*/
.zm-add-type-box{
  display: flex;
  align-items: center;
  width: 100%;
}
.add-autoReply-form .add-auto-reply-item .zm-add-type-box>.type-box{
  display: grid;
  flex: 1;
  grid-template-columns: repeat(auto-fill, minmax(140px,1fr));
  background-color: #FFFFFF;
  height: auto;
}

.zm-new-s {
  position: relative;
}
.zm-new-s::after {
  content: "";
  display: inline-block;
  width: 30px;
  height: 16px;
  background: url("/static/admin/img/new@2x.png") no-repeat;
  background-size: 100% 100%;
  position:absolute;
  right: -20px;
  top: -12px;
}
.zm-question-icon {
  position: relative;
  padding-right: 22px;
}
.zm-question-icon::after {
  content: "";
  display: inline-block;
  width: 18px;
  height: 18px;
  background: url(/static/admin/img/question.png);
  background-size: 100% 100%;
  position: absolute;
  top: 2px;
  right: 0;
}
.zm-ghost-btn {
  color: #7f8fef;
  border-color: #7f8fef;
}
.zm-ghost-btn[disabled=disabled] {
  color: #C1C4CC;
  border-color: #C1C4CC;
}

.zm-preview-bg {
  cursor: pointer;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.5);
  z-index: 9999;
}

.zm-preview-bg.auto-size {
  overflow: scroll;
}

.zm-preview-bg.auto-size img{
  margin: auto;
  margin-top: 5vh;
  padding-bottom: 5vh;
}

.zm-preview-bg img {
  max-width: 80%;
  position: absolute;
  margin: auto;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.zm-list-header {
  display: flex;
  justify-content: flex-start;
  margin-bottom: 20px;
}
.zm-list-header h4 {
  font-size: 18px;
  font-weight: 400;
  color: #333333;
  margin-right: 16px;
}
.zm-tip-info {
  font-size: 14px;
  font-weight: 400;
  color: #8C8C8C;
}
.zm-focus{
  color: rgb(249, 167, 85)
}
.zm-tab-box {
  display: flex;
  border-bottom: 1px solid #ECECEC;
  font-size: 16px;
  font-weight: 400;
  color: #333333;
}
.zm-tab-box .zm-tab-item {
  padding-bottom: 13px;
  cursor: pointer;
}
.zm-tab-box a.zm-tab-item {
  color: unset;
}
.zm-tab-box .zm-tab-item.active{
  color: #7F8FEF;
  padding-bottom: 14px;
  border-bottom: 2px solid #7F8FEF;
}
.zm-tab-box .zm-tab-item:not(:first-child) {
  margin-left: 40px;
}
.zm-box-container .zm-box-item {
  display: flex;
  align-items: center;
  margin-bottom: 25px;
}
.zm-box-container .zm-box-item > label {
  font-size: 16px;
  font-weight: 400;
  color: #333333;
  display: inline-block;
  min-width: 80px;
  margin-right: 20px;
  margin-bottom: 0 !important;
  white-space: nowrap;
}

.main_title .zm-right-icon {
  margin: 0 20px !important;
}

.zm-pointer {
  cursor: pointer;
}

.zm-free-icon {
  overflow: unset !important;
  position: relative;
}
.zm-free-icon.home-layout {
  margin-right: 20px !important;
}
.zm-free-icon.home-layout:after {
  content: "\u514d\u8d39";
  padding: 2px 8px;
  position: absolute;
  background: #ff5721;
  border-radius: 10px 10px 10px 0;
  color: #FFFFFF;
  font-size: 12px;
  font-weight: 400;
  top: 8px;
  right: -32px;
  animation: blink 1.2s linear infinite;
  -webkit-animation: blink 1.2s linear infinite;
  -moz-animation: blink 1.2s linear infinite;
  -ms-animation: blink 1.2s linear infinite;
  -o-animation: blink 1.2s linear infinite;
}
.zm-free-icon:after {
  content: "免费";
  padding: 2px 8px;
  position: absolute;
  background: #ff5721;
  border-radius: 10px 10px 10px 0;
  color: #FFFFFF;
  font-size: 12px;
  font-weight: 400;
  top: -16px;
  right: -26px;
  /*animation: blink 1.2s linear infinite;*/
  /*-webkit-animation: blink 1.2s linear infinite;*/
  /*-moz-animation: blink 1.2s linear infinite;*/
  /*-ms-animation: blink 1.2s linear infinite;*/
  /*-o-animation: blink 1.2s linear infinite;*/
}
.zm-free-icon.dy-menu::after{
  top: 3px;
  right: -35px;
  z-index: 99;
}
.zm-buling-buling {
  animation: blink 1.2s linear infinite;
  -webkit-animation: blink 1.2s linear infinite;
  -moz-animation: blink 1.2s linear infinite;
  -ms-animation: blink 1.2s linear infinite;
  -o-animation: blink 1.2s linear infinite;
}
@keyframes blink{
  0%{transform:scale(0.8)}
  50%{transform:scale(1)}
  100%{transform:scale(0.8)}
}
@-webkit-keyframes blink {
  0%{transform:scale(0.8)}
  50%{transform:scale(1)}
  100%{transform:scale(0.8)}
}
@-moz-keyframes blink {
  0%{transform:scale(0.8)}
  50%{transform:scale(1)}
  100%{transform:scale(0.8)}
}
@-ms-keyframes blink {
  0%{transform:scale(0.8)}
  50%{transform:scale(1)}
  100%{transform:scale(0.8)}
}
@-o-keyframes blink {
  0%{transform:scale(0.8)}
  50%{transform:scale(1)}
  100%{transform:scale(0.8)}
}

.zm-main-head-title {
  width: 100%;
  min-height: 50px;
  background-color: #fff;
  margin: 16px 0;
  border-radius: 2px;
  padding: 0 24px;
  display: flex;
  align-items: center;
  font-size: 16px;
  font-weight: 400;
  color: #595959;
}
.zm-header-tabs {
  display: flex;
  align-items: center;
}
.zm-header-tabs .zm-tab-item {
  margin-right: 32px;
  font-size: 16px;
  font-weight: 400;
  color: #595959;
  padding: 16px 0 14px;
  border-bottom: 2px solid #FFFFFF;
  cursor: pointer;
}
.zm-header-tabs .zm-tab-item.active {
  color: #828EE8;
  font-weight: 600;
  border-bottom: 2px solid #828EE8;
}
.zm-main-box {
  background: #FFFFFF;
  border-radius: 2px;
  padding: 24px;
}

.zm-warn-box {
  padding: 9px 16px;
  font-size: 14px;
  font-weight: 400;
  color: #262626;
  line-height: 22px;
  background: #FEFBE8;
  border-radius: 2px;
  border: 1px solid #FBE69A;
}
.zm-warn-box .title {
  color: #262626;
}
.show-close-ant-modal .ant-modal-close {
  display: inline-block !important;
}

/**不显示滚动条**/
.hide-scrollbar::-webkit-scrollbar {
  display: none; /* Chrome Safari */
}
.hide-scrollbar {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE 10+ */
}

.zm-form-block .zm-form-item {
  display: flex;
  align-items: center;
  margin-bottom: 24px;
}

.zm-form-block .zm-form-item.flex-start {
  align-items: flex-start;
}

.zm-form-block .zm-form-item.baseline {
  align-items: baseline;
}

.zm-form-block .zm-form-item .zm-form-item-label {
  flex-shrink: 0;
  text-align: right;
  white-space: nowrap;
  font-size: 14px;
  font-weight: 400;
  color: #262626;
}

.zm-form-block .zm-form-item .zm-form-item-label.required::before {
  content: '*';
  color: #FF4D4F;
  margin-right: 2px;
}

.zm-form-block .zm-form-item .zm-form-item-content {
  flex: 1;
  color: #595959;
}

.mt8 {
  margin-top: 8px;
}

.word-break-all {
  word-break: break-all;
}

.zm-fixed-footer {
  position: fixed;
  height: 64px;
  line-height: 64px;
  background: #FFFFFF;
  box-shadow: 0 -8px 4px 0 rgba(0,0,0,0.08);
  border-radius: 0 0 2px 2px;
  left: 268px;
  bottom: 0;
  width: calc(100vw - 280px);
  z-index: 999;
}

.cED744A {
  color: #ED744A;
}

.pd0 {
  padding: 0;
}

.mt2 {
  margin-top: 2px;
}

.zm-disable-tip {
  background: #000000;
  opacity: 0.7;
  border-radius: 4px 4px 0px 0px;
  display: flex;
  align-items: center;
  height: 60px;
}

.zm-disable-tip p {
  font-size: 14px;
  font-family: Microsoft YaHei;
  font-weight: 400;
  color: #FFFFFF;
  opacity: 1;
}

.zm-disable-tip img {
  width: 30px;
  height: 30px;
  margin: 0 16px;
}

.zm-time-picker .ant-calendar-range.ant-calendar-time .ant-calendar-time-picker-inner {
  padding-top: 0 !important;
}

.zm-time-picker a.ant-calendar-time-picker-btn {
  display: none !important;
}

.zm-warn-alert {
  border: 1px solid #FBE69A;
}
.zm-warn-alert .ant-alert-message{
  color: rgba(0,0,0,.65);
}

/**
 * 移除bootstrap bold样式
 */
.zm-label-reset label {
  font-weight: unset;
}

.zm-line-clamp2 {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  line-clamp: 2;
}
